Last modified: 2014-02-16 08:33:06 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 29940 - Enable namespace aliases for on hi.wikipedia.org (hiwiki)
Enable namespace aliases for on hi.wikipedia.org (hiwiki)
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
http://hi.wikipedia.org/wiki/%E0%A4%B...
: shell
Depends on:
Blocks: 4676 29823 61431
  Show dependency treegraph
 
Reported: 2011-07-18 09:46 UTC by Mayur
Modified: 2014-02-16 08:33 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mayur 2011-07-18 09:46:49 UTC
Kindly enable shortuts for different name spaces in Hindi wiki as following -

'wgNamespaceAliases' => array(

   'hiwiki' => array(
       'वि' => NS_PROJECT,
       'वि वा' => NS_PROJECT_TALK,
       'C' => NS_CATEGORY,
       'CT' => NS_CATEGORY_TALK,
       'वि' => NS_PROJECT,
       'W' => NS_PROJECT,
       'WT' => NS_PROJECT_TALK,
       'u' => NS_USER,
       'ut' => NS_USER_TALK,
       'स' => NS_USER,
       'स वा' => NS_USER
       'सा' => NS_TEMPLATE
       'सा वा' => NS_TEMPLATE_TALK
       'T' => NS_TEMPLATE
       'TT' => NS_TEMPLATE_TALK
       'P' => NS_PORTAL
       'PT' => NS_PORTAL_TALK
       'प्र' => NS_PORTAL
       'प्र वा' => NS_PORTAL_TALK
   ),

Local consesnus can be found here-http://hi.wikipedia.org/wiki/%E0%A4%B5%E0%A4%BF%E0%A4%95%E0%A4%BF%E0%A4%AA%E0%A5%80%E0%A4%A1%E0%A4%BF%E0%A4%AF%E0%A4%BE:%E0%A4%A8%E0%A4%AF%E0%A5%80_%E0%A4%B8%E0%A5%81%E0%A4%B5%E0%A4%BF%E0%A4%A7%E0%A4%BE%E0%A4%8F%E0%A4%81, 10 user are in support without any oppose.

Regards
MAyur
Comment 1 Max Semenik 2011-07-18 09:54:19 UTC
PT: and TT: conflict with language codes, will not be added.
Comment 2 Sam Reed (reedy) 2011-07-18 14:26:13 UTC
Per the above, have you any other replacements, or do you want them adding without it?
Comment 3 Mayur 2011-07-18 14:29:15 UTC
'wgNamespaceAliases' => array(

   'hiwiki' => array(
       'वि' => NS_PROJECT,
       'वि वा' => NS_PROJECT_TALK,
       'Wikipedia' => NS_PROJECT,,
       'C' => NS_CATEGORY,
       'CT' => NS_CATEGORY_TALK,
       'वि' => NS_PROJECT,
       'W' => NS_PROJECT,
       'WT' => NS_PROJECT_TALK,
       'u' => NS_USER,
       'ut' => NS_USER_TALK,
       'स' => NS_USER,
       'स वा' => NS_USER
       'सा' => NS_TEMPLATE
       'सा वा' => NS_TEMPLATE_TALK
       'T' => NS_TEMPLATE
       'T T' => NS_TEMPLATE_TALK
       'P' => NS_PORTAL
       'P T' => NS_PORTAL_TALK
       'प्र' => NS_PORTAL
       'प्र वा' => NS_PORTAL_TALK
   ),

I think as per above I have made one space like P T and T T, is it ok?
Comment 4 Mayur 2011-07-18 16:21:43 UTC
I think it is final as per your suggestion, I have removed TT and PT

'wgNamespaceAliases' => array(

   'hiwiki' => array(
       'वि' => NS_PROJECT,
       'वि वा' => NS_PROJECT_TALK,
       'Wikipedia' => NS_PROJECT,,
       'C' => NS_CATEGORY,
       'CT' => NS_CATEGORY_TALK,
       'वि' => NS_PROJECT,
       'W' => NS_PROJECT,
       'WT' => NS_PROJECT_TALK,
       'u' => NS_USER,
       'ut' => NS_USER_TALK,
       'स' => NS_USER,
       'स वा' => NS_USER
       'सा' => NS_TEMPLATE
       'सा वा' => NS_TEMPLATE_TALK
       'T' => NS_TEMPLATE
       'T T' => NS_TEMPLATE_TALK
       'P' => NS_PORTAL
       'P T' => NS_PORTAL_TALK
       'प्र' => NS_PORTAL
       'प्र वा' => NS_PORTAL_TALK
   ),
Comment 5 Mayur 2011-07-19 13:48:23 UTC
Now can this be enabled on hindi wiki?
Comment 6 Sam Reed (reedy) 2011-07-22 18:07:57 UTC
Done
Comment 7 Mayur 2011-07-22 18:19:32 UTC
(In reply to comment #6)
> Done

Thanks a Lot!
Comment 8 Casey Brown 2011-07-23 14:50:55 UTC
Namespace aliases with spaces do not work, so वि वा, स वा, सा वा, T T, P T, and प्र वा do not work. I suggest removing the spaces between the Hindi alises and either just removing the Latin ones (TT / PT, since they conflict with language codes) or finding something else to talk them.
Comment 9 Mayur 2011-07-23 16:29:25 UTC
'wgNamespaceAliases' => array(

   'hiwiki' => array(
       'वि' => NS_PROJECT,
       'विवा' => NS_PROJECT_TALK,
       'Wikipedia' => NS_PROJECT,,
       'C' => NS_CATEGORY,
       'CT' => NS_CATEGORY_TALK,
       'वि' => NS_PROJECT,
       'W' => NS_PROJECT,
       'WT' => NS_PROJECT_TALK,
       'u' => NS_USER,
       'ut' => NS_USER_TALK,
       'स' => NS_USER,
       'सवा' => NS_USER
       'सा' => NS_TEMPLATE
       'सावा' => NS_TEMPLATE_TALK
       'T' => NS_TEMPLATE
       'P' => NS_PORTAL
       'प्र' => NS_PORTAL
       'प्रवा' => NS_PORTAL_TALK
   ),

Yeah, Casey Brown is right. SO you can remove space between these as per above and PT and TT have been removed.
Comment 10 Max Semenik 2011-07-23 16:37:00 UTC
Also, w: is an intewiki code for English Wikipedia.
Comment 11 Mayur 2011-07-23 16:53:06 UTC
'wgNamespaceAliases' => array(

   'hiwiki' => array(
       'वि' => NS_PROJECT,
       'विवा' => NS_PROJECT_TALK,
       'Wikipedia' => NS_PROJECT,,
       'WP' => NS_PROJECT,
       'WPT' => NS_PROJECT_TALK,
       'u' => NS_USER,
       'ut' => NS_USER_TALK,
       'स' => NS_USER,
       'सवा' => NS_USER
       'श्र' => NS_CATEGORY,
       'श्रवा' => NS_CATEGORY_TALK,
       'C' => NS_CATEGORY,
       'CT' => NS_CATEGORY_TALK,
       'सा' => NS_TEMPLATE
       'सावा' => NS_TEMPLATE_TALK
       'T' => NS_TEMPLATE
       'मी' => NS_MEDIAWIKI
       'मीवा' => NS_MEDIAWIKI_TALK
       'MW' => NS_MEDIAWIKI
       'MWT' => NS_MEDIAWIKI_TALK
       'P' => NS_PORTAL
       'प्र' => NS_PORTAL
       'प्रवा' => NS_PORTAL_TALK
   ),

Ok converted W to WP and also added Mediawiki shortcuts MW and MWT.
Comment 12 Sam Reed (reedy) 2011-07-25 20:17:00 UTC
'hiwiki' => array(
       'वि' => NS_PROJECT,
       'विवा' => NS_PROJECT_TALK,
   'Wikipedia' => NS_PROJECT,
   'WP' => NS_PROJECT,
   'WPT' => NS_PROJECT_TALK,
   'U' => NS_USER,
   'UT' => NS_USER_TALK,
       'स' => NS_USER,
       'सवा' => NS_USER,
       'श्र' => NS_CATEGORY,
       'श्रवा' => NS_CATEGORY_TALK,
   'C' => NS_CATEGORY,
   'CT' => NS_CATEGORY_TALK,
       'सा' => NS_TEMPLATE,
       'सावा' => NS_TEMPLATE_TALK,
   'T' => NS_TEMPLATE,
       'मी' => NS_MEDIAWIKI,
       'मीवा' => NS_MEDIAWIKI_TALK,
   'MW' => NS_MEDIAWIKI,
   'MWT' => NS_MEDIAWIKI_TALK,
   'P' => 100,
       'प्र' => 100,
       'प्रवा' =>101,
   ),




Index: InitialiseSettings.php
===================================================================
--- InitialiseSettings.php	(revision 2079)
+++ InitialiseSettings.php	(working copy)
@@ -2265,27 +2265,30 @@
         'באור' => 106,
         'שיחת_באור' => 107,
     ),
-   'hiwiki' => array(
+    'hiwiki' => array(
        'वि' => NS_PROJECT,
-       'वि वा' => NS_PROJECT_TALK,
+       'विवा' => NS_PROJECT_TALK,
        'Wikipedia' => NS_PROJECT,
+       'WP' => NS_PROJECT,
+       'WPT' => NS_PROJECT_TALK,
+       'U' => NS_USER,
+       'UT' => NS_USER_TALK,
+       'स' => NS_USER,
+       'सवा' => NS_USER,
+       'श्र' => NS_CATEGORY,
+       'श्रवा' => NS_CATEGORY_TALK,
        'C' => NS_CATEGORY,
        'CT' => NS_CATEGORY_TALK,
-       'वि' => NS_PROJECT,
-       'W' => NS_PROJECT,
-       'WT' => NS_PROJECT_TALK,
-       'u' => NS_USER,
-       'ut' => NS_USER_TALK,
-       'स' => NS_USER,
-       'स वा' => NS_USER,
        'सा' => NS_TEMPLATE,
-       'सा वा' => NS_TEMPLATE_TALK,
+       'सावा' => NS_TEMPLATE_TALK,
        'T' => NS_TEMPLATE,
-       'T T' => NS_TEMPLATE_TALK,
-       'P' => NS_PORTAL,
-       'P T' => NS_PORTAL_TALK,
-       'प्र' => NS_PORTAL,
-       'प्र वा' => NS_PORTAL_TALK,
+       'मी' => NS_MEDIAWIKI,
+       'मीवा' => NS_MEDIAWIKI_TALK,
+       'MW' => NS_MEDIAWIKI,
+       'MWT' => NS_MEDIAWIKI_TALK,
+       'P' => 100,
+       'प्र' => 100,
+       'प्रवा' =>101,
    ),
Comment 13 Krinkle 2011-09-04 16:43:10 UTC
> +       'MW' => NS_MEDIAWIKI,
> +       'MWT' => NS_MEDIAWIKI_TALK,

That's a problem and needs to be removed. "MW' is an interwiki prefix for http://mediawiki.org/
Comment 14 Sam Reed (reedy) 2011-09-04 16:55:50 UTC
MW/MWT have been removed

mw is an interwiki link, and mwt seems to be a valid language code

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links